# sc::Identity Class Reference

Identity gives objects a unique identity and ordering relationship relative to all other objects. More...

`#include <identity.h>`

Inheritance diagram for sc::Identity:

List of all members.

## Public Member Functions

Identifier | identifier ()
| Return the Identifier for this argument.

## Detailed Description

Identity gives objects a unique identity and ordering relationship relative to all other objects.

Identity must be virtually inherited if multiple inheritance is to be used.

## Member Function Documentation

Identifier sc::Identity::identifier | ( |  | ) | `[inline]`

Return the Identifier for this argument.

Usually this is just the pointer to the object.

The documentation for this class was generated from the following file:

- identity.h